<section class="contact">
    <img class="leaf1 fade-in" src="../../../../assets/img/leaf-1.svg" alt="leaf1" />
    <img class="leaf2 fade-in" src="../../../../assets/img/leaf-2.svg" alt="leaf2" />
    <h2 class="contact__title fade-in">contact me.</h2>
    <form class="contact__form fade-in" autocomplete="off" novalidate (ngSubmit)="onSubmit()" [formGroup]="contactForm">
        <fieldset class="contact__form-fieldset">
            <label class="label" for="name">What's your name?</label>
            <input class="input" type="text" id="name" formControlName="name" />
            <div class="disclamer" *ngIf="
          (!contactForm.get('name')?.valid && contactForm.get('name')?.dirty)">
                <span class="disclamer__message">This name is not correct!</span>
            </div>
        </fieldset>

        <fieldset class="contact__form-fieldset">
            <label class="label" for="mail">Your email</label>
            <input class="input" type="text" id="mail" formControlName="mail" />
            <div class="disclamer" *ngIf="
          (!contactForm.get('mail')?.valid && contactForm.get('mail')?.dirty)">
                <span class="disclamer__message">This email is not correct!</span>
            </div>
        </fieldset>

        <fieldset class="contact__form-fieldset">
            <label class="label" for="age">How old are you?</label>
            <input class="input" type="numbe " id="age" formControlName="age" />
            <div class="disclamer" *ngIf="
          (!contactForm.get('age')?.valid && contactForm.get('age')?.dirty)">
                <span class="disclamer__message">You have to be over 18 years old :(</span>
            </div>
        </fieldset>

        <fieldset class="contact__form-fieldset">
            <label class="label" for="message">Tell me what you need!</label>
            <textarea class="textarea" type="text" id="message" formControlName="message"></textarea>
            <div class="disclamer" *ngIf="
          (!contactForm.get('message')?.valid &&
            contactForm.get('message')?.dirty)">
                <span class="disclamer__message">You have a limit of 100 characters</span>
            </div>
        </fieldset>

        <button class="contact__form-button" type="submit " [disabled]="!contactForm.valid">Send</button>
        <span class="message-final fade-in" *ngIf="submitted == true">Thank you for contact me, check your mail 💞</span>
    </form>

    <div class="go-back fade-in">
        <span class="fas fa-chevron-left go-back__arrow"></span>
        <button class="go-back__button" (click)="goBack()">go back</button>
    </div>
</section>